Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.html.dom
Class HTMLFormElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLFormElementImpl

All Implemented Interfaces:
  Cloneable, Element, EventTarget, HTMLElement, HTMLFormElement, Node, NodeList, Serializable

public class HTMLFormElementImpl
extends HTMLElementImpl
implements HTMLFormElement

See Also:
  `HTMLFormElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLFormElementImpl(HTMLDocumentImpl owner, String name)` Constructor requires owner document.

Method Summary
`String` | `getAcceptCharset()`
`String` | `getAction()`
`NodeList` | `getChildNodes()` Obtain a NodeList enumerating all children of this node.
`HTMLCollection` | `getElements()`
`String` | `getEnctype()`
`int` | `getLength()` NodeList method: Count the immediate children of this node
`String` | `getMethod()`
`String` | `getName()`
`String` | `getTarget()`
`void` | `reset()`
`void` | `setAcceptCharset(String acceptCharset)`
`void` | `setAction(String action)`
`void` | `setEnctype(String enctype)`
`void` | `setMethod(String method)`
`void` | `setName(String name)`
`void` | `setTarget(String target)`
`void` | `submit()`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLFormElementImpl

    public HTMLFormElementImpl(HTMLDocumentImpl owner,
                               String name)

  Constructor requires owner document.

Method Detail

### getAcceptCharset

    public String getAcceptCharset()

  Specified by:
    `getAcceptCharset` in interface `HTMLFormElement`

### getAction

    public String getAction()

  Specified by:
    `getAction` in interface `HTMLFormElement`

### getChildNodes

    public NodeList getChildNodes()

  Description copied from class: `ParentNode`
  Obtain a NodeList enumerating all children of this node. If there are none, an (initially) empty NodeList is returned.

  NodeLists are "live"; as children are added/removed the NodeList will immediately reflect those changes. Also, the NodeList refers to the actual nodes, so changes to those nodes made via the DOM tree will be reflected in the NodeList and vice versa.

  In this implementation, Nodes implement the NodeList interface and provide their own getChildNodes() support. Other DOMs may solve this differently.

  Specified by:
    `getChildNodes` in interface `Node`
  Overrides:
    `getChildNodes` in class `ParentNode`

### getElements

    public HTMLCollection getElements()

  Specified by:
    `getElements` in interface `HTMLFormElement`

### getEnctype

    public String getEnctype()

  Specified by:
    `getEnctype` in interface `HTMLFormElement`

### getLength

    public int getLength()

  Description copied from class: `ParentNode`
  NodeList method: Count the immediate children of this node

  Specified by:
    `getLength` in interface `HTMLFormElement`
  Overrides:
    `getLength` in class `ParentNode`
  Returns:
    int

### getMethod

    public String getMethod()

  Specified by:
    `getMethod` in interface `HTMLFormElement`

### getName

    public String getName()

  Specified by:
    `getName` in interface `HTMLFormElement`

### getTarget

    public String getTarget()

  Specified by:
    `getTarget` in interface `HTMLFormElement`

### reset

    public void reset()

  Specified by:
    `reset` in interface `HTMLFormElement`

### setAcceptCharset

    public void setAcceptCharset(String acceptCharset)

  Specified by:
    `setAcceptCharset` in interface `HTMLFormElement`

### setAction

    public void setAction(String action)

  Specified by:
    `setAction` in interface `HTMLFormElement`

### setEnctype

    public void setEnctype(String enctype)

  Specified by:
    `setEnctype` in interface `HTMLFormElement`

### setMethod

    public void setMethod(String method)

  Specified by:
    `setMethod` in interface `HTMLFormElement`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `HTMLFormElement`

### setTarget

    public void setTarget(String target)

  Specified by:
    `setTarget` in interface `HTMLFormElement`

### submit

    public void submit()

  Specified by:
    `submit` in interface `HTMLFormElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD